# Makefile.in generated automatically by automake 1.4 from Makefile.am

# Copyright (C) 1994, 1995-8, 1999 Free Software Foundation, Inc.
# This Makefile.in is free software; the Free Software Foundation
# gives unlimited permission to copy and/or distribute it,
# with or without modifications, as long as this notice is preserved.

# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY, to the extent permitted by law; without
# even the implied warranty of MERCHANTABILITY or FITNESS FOR A
# PARTICULAR PURPOSE.

#     -*- mode: makefile -*-

#     GIFT, a flexible content based image retrieval system.
#     Copyright (C) 1998, 1999, 2000 CUI, University of Geneva

#     This program is free software; you can redistribute it and/or modify
#     it under the terms of the GNU General Public License as published by
#     the Free Software Foundation; either version 2 of the License, or
#     (at your option) any later version.

#     This program is distributed in the hope that it will be useful,
#     but WITHOUT ANY WARRANTY; without even the implied warranty of
#     MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#     GNU General Public License for more details.

#     You should have received a copy of the GNU General Public License
#     along with this program; if not, write to the Free Software
#     Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

#
#Makefile for the inverted File library
#


SHELL = @SHELL@

srcdir = @srcdir@
top_srcdir = @top_srcdir@
VPATH = @srcdir@
prefix = @prefix@
exec_prefix = @exec_prefix@

bindir = @bindir@
sbindir = @sbindir@
libexecdir = @libexecdir@
datadir = @datadir@
sysconfdir = @sysconfdir@
sharedstatedir = @sharedstatedir@
localstatedir = @localstatedir@
libdir = @libdir@
infodir = @infodir@
mandir = @mandir@
includedir = @includedir@
oldincludedir = /usr/include

DESTDIR =

pkgdatadir = $(datadir)/@PACKAGE@
pkglibdir = $(libdir)/@PACKAGE@
pkgincludedir = $(includedir)/@PACKAGE@

top_builddir = ../..

ACLOCAL = @ACLOCAL@
AUTOCONF = @AUTOCONF@
AUTOMAKE = @AUTOMAKE@
AUTOHEADER = @AUTOHEADER@

INSTALL = @INSTALL@
INSTALL_PROGRAM = @INSTALL_PROGRAM@ $(AM_INSTALL_PROGRAM_FLAGS)
INSTALL_DATA = @INSTALL_DATA@
INSTALL_SCRIPT = @INSTALL_SCRIPT@
transform = @program_transform_name@

NORMAL_INSTALL = :
PRE_INSTALL = :
POST_INSTALL = :
NORMAL_UNINSTALL = :
PRE_UNINSTALL = :
POST_UNINSTALL = :
AUTOMAKE = @AUTOMAKE@
BAYESIAN = @BAYESIAN@
CC = @CC@
CONVERT = @CONVERT@
CXX = @CXX@
EMACS = @EMACS@
GIFT_BAYESIAN_FLAG = @GIFT_BAYESIAN_FLAG@
GIFT_INTERNAL_FLAG = @GIFT_INTERNAL_FLAG@
GIFT_INTERNAL_PERLS = @GIFT_INTERNAL_PERLS@
KDOC = @KDOC@
PACKAGE = @PACKAGE@
PERL = @PERL@
PERL_LD_ADD = @PERL_LD_ADD@
RANLIB = @RANLIB@
SGML2INFO = @SGML2INFO@
SGML2TXT = @SGML2TXT@
UNPUBLISHED = @UNPUBLISHED@
VERSION = @VERSION@
WEB_PUBLISHING_DIRECTORY = @WEB_PUBLISHING_DIRECTORY@
WEB_PUBLISHING_LOCATION = @WEB_PUBLISHING_LOCATION@

CCCONFIG = sed "s:__PERL_LOCATION__:@PERL@:g;s:__BINDIR__:@bindir@:g;s:__DATADIR__:@datadir@:g" < $< > $@

noinst_LIBRARIES = libInvertedFile.a

#
# The trick here is: do not compile c code with the -D bool=char define.
#-rdynamic
INCLUDES = -DHAS_BOOL -I$(top_srcdir)/libUnpublished/include -I$(top_srcdir)/libInvertedFile/include -I$(top_srcdir)/libBayesian/include -I$(top_srcdir)/expat/xmlparse -I$(top_srcdir)/expat/xmltok 

libInvertedFile_a_SOURCES =  	CAccessorElement.cc 		CAccessor.cc 	CAccessorImplementation.cc 	CAcURL2FTS.cc 	CAcHierarchy.cc 	CAcIFFileSystem.cc 	CAcPerl.cc         CAcIFMySQL.cc 	@CA_X_DISTANCEMATRIX@ 		CAccessorFactoryContainer.cc 	CAccessorFactory.cc 	CAFURL2FTS.cc 	CAFHierarchy.cc 	CAFPerl.cc 	CAFIFMySQL.cc 	CAFInvertedFile.cc 		CIFBuilderTriplet.cc 	CDocumentFrequencyElement.cc 	CDocumentFrequencyList.cc 		CRelevanceLevel.cc 	CRelevanceLevelList.cc 		CIDRelevanceLevelPair.cc 	CIDRelevanceLevelPairList.cc 		CIFListStart.cc 	CInvertedFileChunk.cc 		CAdditionalDocumentInformation.cc 		CWeightingFunction.cc 	CWFBestFullyWeighted.cc 	CWFBestProbabilistic.cc 	CWFClassicalIDF.cc 	CWFBinaryTerm.cc 	CWFStandardTF.cc 	CWFCoordinationLevel.cc 	CWFProbability.cc 		CWeighter.cc 		CWeightingFunctionPointerHash.cc 	CScoreBoard.cc 		CQueryNormalizer.cc 	CQNNoNormalization.cc 	CQNMaxDocumentFrequency.cc 	CQNEuclideanLengthSquare.cc 	CQNSquareDFLogICFSum.cc 		CAccessorProxy.cc 	CAccessorCollection.cc 	CPropertySheetList.cc 	CSessionManager.cc 		CAlgorithmCollection.cc 	CBaseTypeFactory.cc 		GIFTExceptions.cc 		CAttributeList.cc 	CXMLHelper.cc 	CXMLElement.cc 		CAlgorithm.cc 		CQueryTreeNode.cc 	CQueryTreeBuilder.cc 		CQuery.cc 	CQInvertedFile.cc 	CQMultiple.cc 	CQHierarchy.cc 	CQPerl.cc 		CMagic.cc 		CQueryParadigmMatcher.cc 		mrml_const.cc 		CXMLElementVisitor.cc 	CXEVCommunication.cc 	CXEVTripletList.cc 		CXMLTriplet.cc 	xs_init.cc


#later
#	CQParallel.cc \

CLEANFILES = CAcIFFileSystem.cc
mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
CONFIG_CLEAN_FILES = 
LIBRARIES =  $(noinst_LIBRARIES)


DEFS = @DEFS@ -I. -I$(srcdir) 
CPPFLAGS = @CPPFLAGS@
LDFLAGS = @LDFLAGS@
LIBS = @LIBS@
libInvertedFile_a_LIBADD = 
libInvertedFile_a_OBJECTS =  CAccessorElement.o CAccessor.o \
CAccessorImplementation.o CAcURL2FTS.o CAcHierarchy.o CAcIFFileSystem.o \
CAcPerl.o CAcIFMySQL.o CAccessorFactoryContainer.o CAccessorFactory.o \
CAFURL2FTS.o CAFHierarchy.o CAFPerl.o CAFIFMySQL.o CAFInvertedFile.o \
CIFBuilderTriplet.o CDocumentFrequencyElement.o \
CDocumentFrequencyList.o CRelevanceLevel.o CRelevanceLevelList.o \
CIDRelevanceLevelPair.o CIDRelevanceLevelPairList.o CIFListStart.o \
CInvertedFileChunk.o CAdditionalDocumentInformation.o \
CWeightingFunction.o CWFBestFullyWeighted.o CWFBestProbabilistic.o \
CWFClassicalIDF.o CWFBinaryTerm.o CWFStandardTF.o \
CWFCoordinationLevel.o CWFProbability.o CWeighter.o \
CWeightingFunctionPointerHash.o CScoreBoard.o CQueryNormalizer.o \
CQNNoNormalization.o CQNMaxDocumentFrequency.o \
CQNEuclideanLengthSquare.o CQNSquareDFLogICFSum.o CAccessorProxy.o \
CAccessorCollection.o CPropertySheetList.o CSessionManager.o \
CAlgorithmCollection.o CBaseTypeFactory.o GIFTExceptions.o \
CAttributeList.o CXMLHelper.o CXMLElement.o CAlgorithm.o \
CQueryTreeNode.o CQueryTreeBuilder.o CQuery.o CQInvertedFile.o \
CQMultiple.o CQHierarchy.o CQPerl.o CMagic.o CQueryParadigmMatcher.o \
mrml_const.o CXMLElementVisitor.o CXEVCommunication.o CXEVTripletList.o \
CXMLTriplet.o xs_init.o
AR = ar
CXXFLAGS = @CXXFLAGS@
CXXCOMPILE = $(CXX) $(DEFS) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CXXFLAGS) $(CXXFLAGS)
CXXLD = $(CXX)
CXXLINK = $(CXXLD) $(AM_CXXFLAGS) $(CXXFLAGS) $(LDFLAGS) -o $@
DIST_COMMON =  Makefile.am Makefile.in


DISTFILES = $(DIST_COMMON) $(SOURCES) $(HEADERS) $(TEXINFOS) $(EXTRA_DIST)

TAR = tar
GZIP_ENV = --best
DEP_FILES =  .deps/CAFHierarchy.P .deps/CAFIFMySQL.P \
.deps/CAFInvertedFile.P .deps/CAFPerl.P .deps/CAFURL2FTS.P \
.deps/CAcHierarchy.P .deps/CAcIFFileSystem.P .deps/CAcIFMySQL.P \
.deps/CAcPerl.P .deps/CAcURL2FTS.P .deps/CAccessor.P \
.deps/CAccessorCollection.P .deps/CAccessorElement.P \
.deps/CAccessorFactory.P .deps/CAccessorFactoryContainer.P \
.deps/CAccessorImplementation.P .deps/CAccessorProxy.P \
.deps/CAdditionalDocumentInformation.P .deps/CAlgorithm.P \
.deps/CAlgorithmCollection.P .deps/CAttributeList.P \
.deps/CBaseTypeFactory.P .deps/CDocumentFrequencyElement.P \
.deps/CDocumentFrequencyList.P .deps/CIDRelevanceLevelPair.P \
.deps/CIDRelevanceLevelPairList.P .deps/CIFBuilderTriplet.P \
.deps/CIFListStart.P .deps/CInvertedFileChunk.P .deps/CMagic.P \
.deps/CPropertySheetList.P .deps/CQHierarchy.P .deps/CQInvertedFile.P \
.deps/CQMultiple.P .deps/CQNEuclideanLengthSquare.P \
.deps/CQNMaxDocumentFrequency.P .deps/CQNNoNormalization.P \
.deps/CQNSquareDFLogICFSum.P .deps/CQPerl.P .deps/CQuery.P \
.deps/CQueryNormalizer.P .deps/CQueryParadigmMatcher.P \
.deps/CQueryTreeBuilder.P .deps/CQueryTreeNode.P \
.deps/CRelevanceLevel.P .deps/CRelevanceLevelList.P .deps/CScoreBoard.P \
.deps/CSessionManager.P .deps/CWFBestFullyWeighted.P \
.deps/CWFBestProbabilistic.P .deps/CWFBinaryTerm.P \
.deps/CWFClassicalIDF.P .deps/CWFCoordinationLevel.P \
.deps/CWFProbability.P .deps/CWFStandardTF.P .deps/CWeighter.P \
.deps/CWeightingFunction.P .deps/CWeightingFunctionPointerHash.P \
.deps/CXEVCommunication.P .deps/CXEVTripletList.P .deps/CXMLElement.P \
.deps/CXMLElementVisitor.P .deps/CXMLHelper.P .deps/CXMLTriplet.P \
.deps/GIFTExceptions.P .deps/mrml_const.P .deps/xs_init.P
SOURCES = $(libInvertedFile_a_SOURCES)
OBJECTS = $(libInvertedFile_a_OBJECTS)

all: all-redirect
.SUFFIXES:
.SUFFIXES: .S .c .cc .o .s
$(srcdir)/Makefile.in: Makefile.am $(top_srcdir)/configure.in $(ACLOCAL_M4) 
	cd $(top_srcdir) && $(AUTOMAKE) --gnu libInvertedFile/cc/Makefile

Makefile: $(srcdir)/Makefile.in  $(top_builddir)/config.status $(BUILT_SOURCES)
	cd $(top_builddir) \
	  && CONFIG_FILES=$(subdir)/$@ CONFIG_HEADERS= $(SHELL) ./config.status


mostlyclean-noinstLIBRARIES:

clean-noinstLIBRARIES:
	-test -z "$(noinst_LIBRARIES)" || rm -f $(noinst_LIBRARIES)

distclean-noinstLIBRARIES:

maintainer-clean-noinstLIBRARIES:

.s.o:
	$(COMPILE) -c $<

.S.o:
	$(COMPILE) -c $<

mostlyclean-compile:
	-rm -f *.o core *.core

clean-compile:

distclean-compile:
	-rm -f *.tab.c

maintainer-clean-compile:

libInvertedFile.a: $(libInvertedFile_a_OBJECTS) $(libInvertedFile_a_DEPENDENCIES)
	-rm -f libInvertedFile.a
	$(AR) cru libInvertedFile.a $(libInvertedFile_a_OBJECTS) $(libInvertedFile_a_LIBADD)
	$(RANLIB) libInvertedFile.a
.cc.o:
	$(CXXCOMPILE) -c $<

tags: TAGS

ID: $(HEADERS) $(SOURCES) $(LISP)
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	here=`pwd` && cd $(srcdir) \
	  && mkid -f$$here/ID $$unique $(LISP)

TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) $(LISP)
	tags=; \
	here=`pwd`; \
	list='$(SOURCES) $(HEADERS)'; \
	unique=`for i in $$list; do echo $$i; done | \
	  awk '    { files[$$0] = 1; } \
	       END { for (i in files) print i; }'`; \
	test -z "$(ETAGS_ARGS)$$unique$(LISP)$$tags" \
	  || (cd $(srcdir) && etags $(ETAGS_ARGS) $$tags  $$unique $(LISP) -o $$here/TAGS)

mostlyclean-tags:

clean-tags:

distclean-tags:
	-rm -f TAGS ID

maintainer-clean-tags:

distdir = $(top_builddir)/$(PACKAGE)-$(VERSION)/$(subdir)

subdir = libInvertedFile/cc

distdir: $(DISTFILES)
	here=`cd $(top_builddir) && pwd`; \
	top_distdir=`cd $(top_distdir) && pwd`; \
	distdir=`cd $(distdir) && pwd`; \
	cd $(top_srcdir) \
	  && $(AUTOMAKE) --include-deps --build-dir=$$here --srcdir-name=$(top_srcdir) --output-dir=$$top_distdir --gnu libInvertedFile/cc/Makefile
	@for file in $(DISTFILES); do \
	  d=$(srcdir); \
	  if test -d $$d/$$file; then \
	    cp -pr $$/$$file $(distdir)/$$file; \
	  else \
	    test -f $(distdir)/$$file \
	    || ln $$d/$$file $(distdir)/$$file 2> /dev/null \
	    || cp -p $$d/$$file $(distdir)/$$file || :; \
	  fi; \
	done

DEPS_MAGIC := $(shell mkdir .deps > /dev/null 2>&1 || :)

-include $(DEP_FILES)

mostlyclean-depend:

clean-depend:

distclean-depend:
	-rm -rf .deps

maintainer-clean-depend:

%.o: %.c
	@echo '$(COMPILE) -c $<'; \
	$(COMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.c
	@echo '$(LTCOMPILE) -c $<'; \
	$(LTCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp

%.o: %.cc
	@echo '$(CXXCOMPILE) -c $<'; \
	$(CXXCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-cp .deps/$(*F).pp .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm .deps/$(*F).pp

%.lo: %.cc
	@echo '$(LTCXXCOMPILE) -c $<'; \
	$(LTCXXCOMPILE) -Wp,-MD,.deps/$(*F).pp -c $<
	@-sed -e 's/^\([^:]*\)\.o[ 	]*:/\1.lo \1.o :/' \
	  < .deps/$(*F).pp > .deps/$(*F).P; \
	tr ' ' '\012' < .deps/$(*F).pp \
	  | sed -e 's/^\\$$//' -e '/^$$/ d' -e '/:$$/ d' -e 's/$$/ :/' \
	    >> .deps/$(*F).P; \
	rm -f .deps/$(*F).pp
info-am:
info: info-am
dvi-am:
dvi: dvi-am
check-am: all-am
check: check-am
installcheck-am:
installcheck: installcheck-am
install-exec-am:
install-exec: install-exec-am

install-data-am:
install-data: install-data-am

install-am: all-am
	@$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
install: install-am
uninstall-am:
uninstall: uninstall-am
all-am: Makefile $(LIBRARIES)
all-redirect: all-am
install-strip:
	$(MAKE) $(AM_MAKEFLAGS) AM_INSTALL_PROGRAM_FLAGS=-s install
installdirs:


mostlyclean-generic:

clean-generic:
	-test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)

distclean-generic:
	-rm -f Makefile $(CONFIG_CLEAN_FILES)
	-rm -f config.cache config.log stamp-h stamp-h[0-9]*

maintainer-clean-generic:
mostlyclean-am:  mostlyclean-noinstLIBRARIES mostlyclean-compile \
		mostlyclean-tags mostlyclean-depend mostlyclean-generic

mostlyclean: mostlyclean-am

clean-am:  clean-noinstLIBRARIES clean-compile clean-tags clean-depend \
		clean-generic mostlyclean-am

clean: clean-am

distclean-am:  distclean-noinstLIBRARIES distclean-compile \
		distclean-tags distclean-depend distclean-generic \
		clean-am

distclean: distclean-am

maintainer-clean-am:  maintainer-clean-noinstLIBRARIES \
		maintainer-clean-compile maintainer-clean-tags \
		maintainer-clean-depend maintainer-clean-generic \
		distclean-am
	@echo "This command is intended for maintainers to use;"
	@echo "it deletes files that may require special tools to rebuild."

maintainer-clean: maintainer-clean-am

.PHONY: mostlyclean-noinstLIBRARIES distclean-noinstLIBRARIES \
clean-noinstLIBRARIES maintainer-clean-noinstLIBRARIES \
mostlyclean-compile distclean-compile clean-compile \
maintainer-clean-compile tags mostlyclean-tags distclean-tags \
clean-tags maintainer-clean-tags distdir mostlyclean-depend \
distclean-depend clean-depend maintainer-clean-depend info-am info \
dvi-am dvi check check-am installcheck-am installcheck install-exec-am \
install-exec install-data-am install-data install-am install \
uninstall-am uninstall all-redirect all-am all installdirs \
mostlyclean-generic distclean-generic clean-generic \
maintainer-clean-generic clean mostlyclean distclean maintainer-clean

# ex `echo \`perl -MExtUtils::Embed -e ccopts \`|sed 's:-Dbool=char::'`
#-I/usr/local/include  -I/usr/lib/perl5/5.00503/i586-linux/CORE 

CAcIFFileSystem.cc: CAcIFFileSystem.pre-cc
	$(CCCONFIG)

# Tell versions [3.59,3.63) of GNU make to not export all variables.
# Otherwise a system limit (for SysV at least) may be exceeded.
.NOEXPORT:
